<?php

class Controleur {

function __construct() {
	global $rep,$vues,$model,$style;
    session_start();


    //debut

    //on initialise un tableau d'erreur
    $dVueEreur = array ();

        try{
            $action=$_REQUEST['action'];

            switch($action) {

            //pas d'action, on r�initialise 1er appel
            case NULL:
                $this->Reinit();
                break;
            
            case 'accueil':
                $this->AffAccueil();
                break;

            //mauvaise action
            default:
                $dVueEreur[] =	"Erreur d'appel php";
                $this->AffAccueil();
                break;
            }

        } catch (PDOException $e)
        {
            //si erreur BD, pas le cas ici
            $dVueEreur[] =	"Erreur inattendue!!! ";
            require ($rep.$vues['erreur']);

        }
        catch (Exception $e2)
        {
            $dVueEreur[] =	"Erreur inattendue!!! ";
            require ($rep.$vues['erreur']);
        }


        //fin
        exit(0);
        }//fin constructeur


        function Reinit() {
            global $rep,$vues; // nécessaire pour utiliser variables globales

            //$model = new Simplemodel();
            //$model->build_data("",0);

            require ($rep.$vues['accueil']);
        }

        function AffAccueil(){
            global $rep,$vues,$model,$style;

            require($rep.$model['citation']);
            require($rep.$vues['bandeau']);
            require($rep.$vues['citation']);

            // Gestion du thème
            if (isset($_POST['theme'])) {
                $theme = $_POST['theme'];
                setcookie('theme', $theme, time() + (30 * 24 * 60 * 60), "/");
            } elseif (isset($_COOKIE['theme'])) {
                $theme = $_COOKIE['theme'];
            } else {
                $theme = 'dark-mode';
            }
    
            // Récupérer les données via le modèle
            $modelCit = new CitationModel();
            $citationDuJour = $modelCit->getCitationDuJour();
            $suggestions = $modelCit->getSuggestions($citationDuJour);
    
            // Afficher la page via la vue
            HeaderView::display($theme);
            CitationView::display($citationDuJour, $suggestions);
        }
    

}//fin class

?>